netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nad.c File Reference
`#include <errno.h>`
`#include <limits.h>`
`#include <signal.h>`
`#include <stdarg.h>`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <atalk/cnid.h>`
`#include <atalk/logger.h>`
`#include <atalk/netatalk_conf.h>`
`#include <atalk/util.h>`
`#include "nad.h"`

## Macros
#define | my_gid_type gid_t

## Enumerations
enum | nad_command_t { CMD_UNKNOWN = -1 , CMD_LS , CMD_CP , CMD_RM , CMD_MV , CMD_SET , CMD_FIND , CMD_MKDIR , CMD_RMDIR , CMD_VERSION }

## Functions
static nad_command_t | get_command (const char *cmd)
static void | usage_main (void)
static void | show_version (void)
int | main (int argc, char **argv)

## Macro Definition Documentation

## ◆ my_gid_type

#define my_gid_type gid_t

## Enumeration Type Documentation

## ◆ nad_command_t

enum nad_command_t

Enumerator
CMD_UNKNOWN |
CMD_LS |
CMD_CP |
CMD_RM |
CMD_MV |
CMD_SET |
CMD_FIND |
CMD_MKDIR |
CMD_RMDIR |
CMD_VERSION |

## Function Documentation

## ◆ get_command()

nad_command_t get_command | ( | const char * | cmd | ) |
| static

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ show_version()

void show_version | ( | void |  | ) |
| static

## ◆ usage_main()

void usage_main | ( | void |  | ) |
| static